lomiri-content-hub (2.2.3) unstable; urgency=medium

  * Upstream-provided Debian package for lomiri-content-hub. See
    upstream ChangeLog for recent changes.

 -- UBports developers <developers@ubports.com>  Thu, 16 Apr 2026 19:14:00 +0200

lomiri-content-hub (2.2.2) unstable; urgency=medium

  * Upstream-provided Debian package for lomiri-content-hub. See
    upstream ChangeLog for recent changes.

 -- UBports developers <developers@ubports.com>  Tue, 23 Dec 2025 11:44:34 +0100

lomiri-content-hub (2.2.1) unstable; urgency=medium

  * Upstream-provided Debian package for lomiri-content-hub. See
    upstream ChangeLog for recent changes.

 -- UBports developers <developers@ubports.com>  Mon, 08 Dec 2025 09:03:20 +0100

lomiri-content-hub (2.2.0) unstable; urgency=medium

  * Upstream-provided Debian package for lomiri-content-hub. See
    upstream ChangeLog for recent changes.

 -- UBports developers <developers@ubports.com>  Mon, 01 Dec 2025 20:55:34 +0100

lomiri-content-hub (2.1.0) unstable; urgency=medium

  * Upstream-provided Debian package for lomiri-content-hub. See
    upstream ChangeLog for recent changes.

 -- UBports developers <developers@ubports.com>  Wed, 09 Apr 2025 14:10:16 +0200

lomiri-content-hub (2.0.0) unstable; urgency=medium

  * Rename to lomiri-content-hub
  * Upstream-provided Debian package for lomiri-content-hub. See
    upstream ChangeLog for recent changes.

 -- UBports developers <developers@ubports.com>  Fri, 06 Sep 2024 22:31:44 +0200

content-hub (1.1.1) unstable; urgency=medium

  * Upstream-provided Debian package for content-hub. See upstream
    ChangeLog for recent changes.

 -- UBports developers <developers@ubports.com>  Thu, 08 Feb 2024 18:46:38 +0100

content-hub (1.1.0) unstable; urgency=medium

  * Upstream-provided Debian package for content-hub. See upstream
    ChangeLog for recent changes.

 -- UBports developers <developers@ubports.com>  Sun, 15 Oct 2023 08:34:48 +0200

content-hub (1.0.2) unstable; urgency=medium

  * Upstream-provided Debian package for content-hub. See upstream
    ChangeLog for recent changes.

 -- UBports developers <developers@ubports.com>  Tue, 14 Feb 2023 11:30:33 +0100

content-hub (1.0.1) unstable; urgency=medium

  * Upstream-provided Debian package for content-hub. See upstream
    ChangeLog for recent changes.

 -- UBports developers <developers@ubports.com>  Sun, 05 Feb 2023 00:39:04 +0100

content-hub (1.0.0) focal; urgency=medium

  [ Marius Gripsgard ]
  * Imported to UBports
  * Rename to lomiri
  * Switch to lomiri-api
  * Fix qml issue
  * Enable tests

  [ Guido Berhoerster ]
  * Rename com.canonical.Unity.FocusInfo to com.lomiri.Shell.FocusInfo
  * Add missing build dependency on graphviz
  * Switch from url-dispatcher to lomiri-url-dispatcher

 -- Marius Gripsgard <marius@ubports.com>  Fri, 16 Apr 2021 03:42:05 +0200

content-hub (0.2+17.04.20161201.1-0ubuntu1) zesty; urgency=medium

  [ William Hua ]
  * Add GLib bindings (LP: #1624437) (LP: #1624437)

 -- Ken VanDine <ken.vandine@canonical.com>  Thu, 01 Dec 2016 18:22:34 +0000

content-hub (0.2+17.04.20161128-0ubuntu1) zesty; urgency=medium

  * Fix build failure on zesty due to googletest 1.8. Also refactored
    tests/acceptance-tests/CMakeLists.txt to make adding tests less
    cumbersome. (LP: #1644062)

 -- Ken VanDine <ken.vandine@canonical.com>  Mon, 28 Nov 2016 17:39:58 +0000

content-hub (0.2+17.04.20161107-0ubuntu1) zesty; urgency=medium

  * Skip the UAL lookup when run under autopkgtests to prevent an abort
    from UAL

 -- Ken VanDine <ken.vandine@canonical.com>  Mon, 07 Nov 2016 15:02:18 +0000

content-hub (0.2+17.04.20161026-0ubuntu1) zesty; urgency=medium

  * Use UAL to get iconPath instead of parsing the desktop file
    ourselves

 -- Ken VanDine <ken.vandine@canonical.com>  Wed, 26 Oct 2016 16:56:45 +0000

content-hub (0.2+16.10.20160914-0ubuntu1) yakkety; urgency=medium

  * Build with hardening=+all (LP: #1597453)

 -- Ken VanDine <ken.vandine@canonical.com>  Wed, 14 Sep 2016 14:30:52 +0000

content-hub (0.2+16.10.20160830-0ubuntu1) yakkety; urgency=medium

  [ Ken VanDine ]
  * Pasteboard implementation

  [ Florian Boucault ]
  * Fixes for crossbuilding.

 -- Ken VanDine <ken.vandine@canonical.com>  Tue, 30 Aug 2016 13:41:21 +0000

content-hub (0.1+16.10.20160825-0ubuntu1) yakkety; urgency=medium

  * Added isolation-machine to test restrictions as these tests need a
    working upstart user session.

 -- Ken VanDine <ken.vandine@canonical.com>  Thu, 25 Aug 2016 10:12:31 +0000

content-hub (0.1+16.10.20160822-0ubuntu1) yakkety; urgency=medium

  * No change rebuild for UAL ABI change

 -- Ted Gould <ted@gould.cx>  Mon, 22 Aug 2016 17:01:38 +0000

content-hub (0.1+16.10.20160809-0ubuntu1) yakkety; urgency=medium

  * build dep on qttools5-dev-tools for qdoc

 -- Ken VanDine <ken.vandine@canonical.com>  Tue, 09 Aug 2016 14:15:14 +0000

content-hub (0.1+16.10.20160715-0ubuntu1) yakkety; urgency=medium

  * Filter current app out of the peer model (LP: #1603508)

 -- Ken VanDine <ken.vandine@canonical.com>  Fri, 15 Jul 2016 19:12:46 +0000

content-hub (0.1+16.10.20160610.2-0ubuntu1) yakkety; urgency=medium

  * Ensure all the properties are set when the url is set on a
    ContentItem (LP: #1571361)

 -- Ken VanDine <ken.vandine@canonical.com>  Fri, 10 Jun 2016 14:02:46 +0000

content-hub (0.1+16.10.20160602-0ubuntu1) yakkety; urgency=medium

  * Call qmlplugindump with -noinstantiate

 -- Ken VanDine <ken.vandine@canonical.com>  Thu, 02 Jun 2016 18:36:44 +0000

content-hub (0.1+16.04.20160309-0ubuntu1) xenial; urgency=medium

  * Fix documentation for toDataURI method (LP: #1555116)

 -- Michael Sheldon <michael.sheldon@canonical.com>  Wed, 09 Mar 2016 14:03:08 +0000

content-hub (0.1+16.04.20160129.1-0ubuntu1) xenial; urgency=medium

  * Combine share and import peers (LP: #1539674)

 -- Ken VanDine <ken.vandine@canonical.com>  Fri, 29 Jan 2016 17:31:56 +0000

content-hub (0.1+16.04.20151216.1-0ubuntu1) xenial; urgency=medium

  [ Michael Sheldon ]
  * Set destination app-id as download metadata

 -- CI Train Bot <ci-train-bot@canonical.com>  Wed, 16 Dec 2015 16:17:10 +0000

content-hub (0.1+16.04.20151124-0ubuntu1) xenial; urgency=medium

  [ CI Train Bot ]
  * New rebuild forced.

  [ Ken VanDine ]
  * Added ogg file (the default Ubuntu ringtone) for testing music
    exports and support music exports in content-hub-test-exporter

 -- Ken VanDine <ken.vandine@canonical.com>  Tue, 24 Nov 2015 11:09:05 +0000

content-hub (0.1+16.04.20151029.1-0ubuntu1) xenial; urgency=medium

  [ CI Train Bot ]
  * Resync trunk. added: po/et.po

  [ Ken VanDine ]
  * Drop the ElideMiddle in the ContentPeerPicker and add WordWrap to
    match the grid in unity8
  * Use libertine to query for apps installed in containers
  * use ubuntu_app_launch_application_info to get the dir and filename
    for desktop files

 -- Ken VanDine <ken.vandine@canonical.com>  Thu, 29 Oct 2015 13:59:36 +0000

content-hub (0.1+15.10.20150922-0ubuntu1) wily; urgency=medium

  [ Ken VanDine ]
  * Major version bump

  [ CI Train Bot ]
  * No-change rebuild.

 -- Ken VanDine <ken.vandine@canonical.com>  Tue, 22 Sep 2015 01:19:46 +0000

content-hub (0.0+15.10.20150909-0ubuntu1) wily; urgency=medium

  [ Ken VanDine ]
  * Fixed crash when the service is passed an invalid type via dbus (LP:
    #1472026)

  [ Michael Sheldon ]
  * Add an "Undefined" content type to QML bindings so we can avoid
    making unnecessary peer look ups when the content type hasn't yet
    been set now that peers can register for Unknown.

  [ Robert Ancell ]
  * Drop unused include that makes build fail unless Qt5Gui pkg-config
    file is used.

 -- Ken VanDine <ken.vandine@canonical.com>  Wed, 09 Sep 2015 16:58:39 +0000

content-hub (0.0+15.10.20150821.2-0ubuntu1) wily; urgency=medium

  [ Ken VanDine ]
  * Don't swallow QEvent::ApplicationDeactivate (LP: #1485222)
  * added hasPending property on ContentHub (LP: #1487073)
  * generate plugins.qmltypes (LP: #1483626)

 -- CI Train Bot <ci-train-bot@canonical.com>  Fri, 21 Aug 2015 16:36:06 +0000

content-hub (0.0+15.10.20150813-0ubuntu1) wily; urgency=medium

  [ Ken VanDine ]
  * Fixed property errors in example code (LP: #1484198)
  * create the local content-hub directory if needed when the hook is
    run (LP: #1484184)

 -- CI Train Bot <ci-train-bot@canonical.com>  Thu, 13 Aug 2015 13:31:51 +0000

content-hub (0.0+15.10.20150724-0ubuntu2~gcc5.1) wily; urgency=medium

  * No-change test rebuild for g++5 ABI transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 27 Jul 2015 19:14:27 +0000

content-hub (0.0+15.10.20150724-0ubuntu1) wily; urgency=medium

  [ CI Train Bot ]
  * New rebuild forced.

  [ Ken VanDine ]
  * No change rebuild for ubuntu-download-manager

 -- CI Train Bot <ci-train-bot@canonical.com>  Fri, 24 Jul 2015 17:16:55 +0000

content-hub (0.0+15.10.20150703-0ubuntu1) wily; urgency=medium

  [ Ken VanDine ]
  * Added ContentType.Events Added tests for the well known types (LP:
    #1464244)

 -- CI Train Bot <ci-train-bot@canonical.com>  Fri, 03 Jul 2015 13:22:31 +0000

content-hub (0.0+15.10.20150701-0ubuntu1) wily; urgency=medium

  [ CI Train Bot ]
  * Resync trunk.

  [ Renato Araujo Oliveira Filho ]
  * Fixed header divider color for ContentPeerPicker11. (LP: #1470557)

 -- CI Train Bot <ci-train-bot@canonical.com>  Wed, 01 Jul 2015 21:53:29 +0000

content-hub (0.0+15.10.20150615.3-0ubuntu1) wily; urgency=medium

  [ Ken VanDine ]
  * Added support for registering a source or destination as handlers
    for Type::all

 -- CI Train Bot <ci-train-bot@canonical.com>  Mon, 15 Jun 2015 18:21:22 +0000

content-hub (0.0+15.10.20150608-0ubuntu1) wily; urgency=medium

  [ Ken VanDine ]
  * Make the import and share testability peers return 1 if the transfer
    is aborted. Added url-dispatcher autopkgtest.

 -- CI Train Bot <ci-train-bot@canonical.com>  Mon, 08 Jun 2015 16:48:39 +0000

content-hub (0.0+15.10.20150603-0ubuntu1) wily; urgency=medium

  [ Ken VanDine ]
  * SECURITY UPDATE: file disclosure via unchecked AppArmor profile (LP:
    #1456628) Don't allow exporting of files that aren't allowed by the
    source apparmor profile CVE-2015-1327 (LP: #1456628)

 -- CI Train Bot <ci-train-bot@canonical.com>  Wed, 03 Jun 2015 17:45:36 +0000

content-hub (0.0+15.10.20150518-0ubuntu1) wily; urgency=medium

  [ Ken VanDine ]
  * Added url-dispatcher integration.  This allows export and share
    requests to be initiated by opening a url.

 -- CI Train Bot <ci-train-bot@canonical.com>  Mon, 18 May 2015 13:16:45 +0000

content-hub (0.0+15.04.20150422-0ubuntu1) vivid; urgency=medium

  [ Ken VanDine ]
  * Added ContentType.Text as a well known type Added ContentItem.text
    property for serialized content (LP: #1430460)
  * Don't use a unicode apostrophe in the docs
  * Fixed qdoc syntax error for the ContentPeerPicker::peerSelected and
    ContentPeerPicker::cancelPressed signals

 -- CI Train Bot <ci-train-bot@canonical.com>  Wed, 22 Apr 2015 16:45:39 +0000

content-hub (0.0+15.04.20150331-0ubuntu1) vivid; urgency=medium

  [ Ken VanDine ]
  * When requesting an import from an unknown peer, abort the transfer.
    This is most likely to occur when requesting the default peer for a
    ContentType that has no default registered. (LP: #1429695)

 -- CI Train Bot <ci-train-bot@canonical.com>  Tue, 31 Mar 2015 14:10:11 +0000

content-hub (0.0+15.04.20150319-0ubuntu1) vivid; urgency=medium

  [ Ken VanDine ]
  * Abort transfers when a file already exists matching the requested
    name and ContentStore. (LP: #1429687)

 -- CI Train Bot <ci-train-bot@canonical.com>  Thu, 19 Mar 2015 15:27:11 +0000

content-hub (0.0+15.04.20150123-0ubuntu1) vivid; urgency=low

  [ Michael Sheldon ]
  * Use the theme background so that fonts are visible with dark apps
    (LP: #1384490)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 23 Jan 2015 16:56:52 +0000

content-hub (0.0+15.04.20141202-0ubuntu1) vivid; urgency=low

  [ Michael Sheldon ]
  * Handle content peer model loading asynchronously (LP: #1390096)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 02 Dec 2014 14:17:57 +0000

content-hub (0.0+15.04.20141126-0ubuntu1) vivid; urgency=low

  [ Ken VanDine ]
  * Added test peers for automated testing of export, import and shares.

  [ CI bot ]
  * Resync trunk

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 26 Nov 2014 15:26:15 +0000

content-hub (0.0+15.04.20141120-0ubuntu1) vivid; urgency=low

  [ Ken VanDine ]
  * Fixed conflict with nih-dbus and our own i18n wrapper (LP: #1394211)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 20 Nov 2014 04:22:47 +0000

content-hub (0.0+15.04.20141110-0ubuntu1) vivid; urgency=low

  [ Ken VanDine ]
  * Added EBooks to well known types (LP: #1383732)

  [ CI bot ]
  * Resync trunk

  [ Ubuntu daily release ]
  * New rebuild forced

  [ Michael Sheldon ]
  * Set the caller on the ContentTransferHint dialog to allow it to be
    destroyed safely when its parent is destroyed. (LP: #1377334)
  * Update click hook wrapper to account for change in dbus-session
    file. (LP: #1390095)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 10 Nov 2014 16:31:46 +0000

content-hub (0.0+14.10.20141014-0ubuntu1) 14.09; urgency=low

  [ CI bot ]
  * Resync trunk

  [ Ubuntu daily release ]
  * New rebuild forced

  [ Michael Sheldon ]
  * Add support for receiving directories of unzipped files from
    download manager. (LP: #1365993)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 14 Oct 2014 16:11:13 +0000

content-hub (0.0+14.10.20141010-0ubuntu1) utopic; urgency=low

  [ Sebastien Bacher ]
  * Include missing sources in the translation template, use the custom
    rule to update it and load the translations from the correct domain

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 10 Oct 2014 16:16:32 +0000

content-hub (0.0+14.10.20141009-0ubuntu1) utopic; urgency=low

  [ Ken VanDine ]
  * Fall back to a copy if move fails (LP: #1373086)

  [ Michael Sheldon ]
  * Fix packaging for translations.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 09 Oct 2014 14:44:05 +0000

content-hub (0.0+14.10.20141007-0ubuntu1) utopic; urgency=low

  [ Sebastien Bacher ]
  * use X-Ubuntu-Use-Langpack so translations are imported (LP:
    #1378324)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 07 Oct 2014 14:44:14 +0000

content-hub (0.0+14.10.20140919-0ubuntu1) utopic; urgency=low

  [ Ken VanDine ]
  * Fixed handling of translated strings from
    g_app_info_get_display_name (LP: #1368770) (LP: #1368770)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 19 Sep 2014 14:40:29 +0000

content-hub (0.0+14.10.20140915-0ubuntu1) utopic; urgency=low

  [ Ken VanDine ]
  * Build with dh_translations (LP: #1359166) (LP: #1359166)
  * Improved uncreatable message for ContentTransfer

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 15 Sep 2014 20:50:10 +0000

content-hub (0.0+14.10.20140828-0ubuntu1) utopic; urgency=low

  [ Michael Sheldon ]
  * Expose the source and destination app IDs on transfers.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 28 Aug 2014 03:09:56 +0000

content-hub (0.0+14.10.20140815-0ubuntu1) utopic; urgency=low

  [ Michael Sheldon ]
  * Add a cancel button to the ContentTransferHint.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 15 Aug 2014 17:49:09 +0000

content-hub (0.0+14.10.20140806.2-0ubuntu1) utopic; urgency=low

  [ Ken VanDine ]
  * Add contentType property to Transfer

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 06 Aug 2014 20:09:47 +0000

content-hub (0.0+14.10.20140801.4-0ubuntu1) utopic; urgency=medium

  [ Ken VanDine ]
  * debian/control
    - Renamed the binary for the qml module to qtdeclarative5-ubuntu-content1
      to reflect support for API version 1.x instead of 0.1

  [ Michael Sheldon ]
  * Remove the Ubuntu shape from the save icon in the download snap
    decision. (LP: #1350281)
  * Transfer entire content Item objects over dbus, instead of just
    their URL component. Adds name property to C++ backend and connects
    to existing QML property.
  * Ignore unused function warnings (new in g++ 4.9), as utils.cpp
    defines a number of static functions that may not be used
    everywhere.
  * Make the ContentPeerPicker's header text customisable and replace
    the bottom cancel button with new header style cancel.

  [ Ubuntu daily release ]
  * New rebuild forced

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 01 Aug 2014 20:07:29 +0000

content-hub (0.0+14.10.20140710-0ubuntu1) utopic; urgency=low

  [ Ken VanDine ]
  * Added ContentItem.move function to allow pure QML apps to relocate
    local files collected.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 10 Jul 2014 20:10:35 +0000

content-hub (0.0+14.10.20140709-0ubuntu1) utopic; urgency=low

  [ Michael Sheldon ]
  * Don't close/switch applications after an export has been finalized.
  * Don't make the peer picker explicitly invisible, provide a
    background for the peer picker and anchor the bottom of the app view
    appropriately rather than calculating height.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 09 Jul 2014 17:38:25 +0000

content-hub (0.0+14.10.20140704-0ubuntu1) utopic; urgency=low

  [ Michael Sheldon ]
  * Update theme used for resolving system icons (e.g. as used by Debian
    packages) to use "suru" theme.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 04 Jul 2014 14:20:38 +0000

content-hub (0.0+14.10.20140703-0ubuntu1) utopic; urgency=low

  [ Michael Sheldon ]
  * Add Debian friendly locations to content-hub-peer-hooks search
    locations

  [ Ubuntu daily release ]
  * New rebuild forced

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 03 Jul 2014 16:29:32 +0000

content-hub (0.0+14.10.20140618-0ubuntu1) utopic; urgency=low

  [ Ken VanDine ]
  * Added objectName to the cancel button in the ContentPeerPicker,
    it'll be useful for autopilot tests.
  * Don't abort downloads that haven't been charged yet when a new
    transfer is created. This will leave multiple transfers from
    downloads which haven't been charged remain in active_transfers
    until they have been charged. (LP: #1326535) Having multiple
    downloaded transfers in active_transfers means when the destination
    starts or resumes, then all the completed downloads will get charged
    which will send multiple signals to the destination. (LP: #1326535)
  * Added toDataURI to ContentItem

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 18 Jun 2014 15:58:44 +0000

content-hub (0.0+14.10.20140604-0ubuntu1) utopic; urgency=low

  [ Ken VanDine ]
  * Check for completed downloads when an import handler is registered,
    charge if necessary. This will trigger an import for completed
    downloads that might have been dismissed in the notification.
  * Add a wrapper for the click hook to ensure the dbus session is
    properly exported (LP: #1324969) (LP: #1324969)
  * Use an EventFilter to get ApplicationActivate events, to notify the
    service when a handler gains focus. This is useful to charge
    completed downloads that have been dismissed in the snap decision.
  * Added new well known types for videos and links. Set gallery as
    default for videos.

  [ Michael Sheldon ]
  * Display errors reported by download manager as notifications
  * Show a message in the peer picker when no apps are available for the
    specified content type.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 04 Jun 2014 16:50:50 +0000

content-hub (0.0+14.10.20140601-0ubuntu1) utopic; urgency=low

  [ Ted Gould ]
  * Name change for UAL

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Sun, 01 Jun 2014 20:58:54 +0000

content-hub (0.0+14.10.20140521.1-0ubuntu1) utopic; urgency=low

  [ Ken VanDine ]
  * reorder virtual functions added with download support, to fix abi
    compatibility. (LP: #1321304)

  [ Michael Sheldon ]
  * Remove aliases for GridView properties that no longer exist.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 21 May 2014 15:01:45 +0000

content-hub (0.0+14.10.20140515.1-0ubuntu1) utopic; urgency=low

  [ Ken VanDine ]
  * Use libnotify to send a snap decision with an Open action for
    downloads. Added translation support, needed for the strings in the
    notification.

  [ Michael Sheldon ]
  * Use libnotify to send a snap decision with an Open action for
    downloads. Added translation support, needed for the strings in the
    notification.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 15 May 2014 21:02:30 +0000

content-hub (0.0+14.04.20140415-0ubuntu1) trusty; urgency=low

  [ Michael Sheldon ]
  * Fixes the clipping setting on the ResponsiveGridView when being used
    with dynamically loaded ContentPeerModels.
  * Excludes ResponsiveGridView from documentation creation and provides
    additional summaries for QML components.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 15 Apr 2014 22:01:11 +0000

content-hub (0.0+14.04.20140402-0ubuntu2) trusty; urgency=medium

  * No-change rebuild for shlib changes in qtbase and qtdeclarative.

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Mon, 14 Apr 2014 11:46:04 -0300

content-hub (0.0+14.04.20140402-0ubuntu1) trusty; urgency=low

  [ Loïc Minier ]
  * Downgrade content-hub Recommends to a Suggests as we don't want
    content-hub pulled via ubuntu-sdk on developer desktops.

  [ Ken VanDine ]
  * protect against queries for Type::unknown (LP: #1293463)
  * Replace a couple missed qDebug lines for logging
  * Don't unref the g_icon, the value belongs to app
  * Ensure m_defaultSources is a StringList before attempting to use it
    as a list
  * ContentPeerPicker: Make headers translatable and use a
    ResponsiveGridView for the devices grid to match the apps grid.
    ContentPeerPicker: hide the devices section until we have a way to
    populate it

  [ Javier Collado ]
  * Added README file (LP: #1274899)

  [ Dimitri John Ledkov ]
  * Exit quicker, if there is nothing to do. (LP: #1287674) (LP:
    #1287674)

  [ Michael Sheldon ]
  * Fixes updating of the ContentPeerModel when using Loader and
    changing ContentType or ContentHandler dynamically and ensures that
    ContentPeerModel Loader doesn't begin loading the model until the
    peer picker becomes visible (avoiding delaying app start-up time).
  * Make qdoc based documentation compatible with the Qt 5.2 version of
    qdoc.
  * Fixes version number of import statements in QML documentation.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 02 Apr 2014 14:46:54 +0000

content-hub (0.0+14.04.20140321-0ubuntu1) trusty; urgency=low

  [ Ken VanDine ]
  * Adds support for multiple handler types: source, destination and
    share. Enforce single transfer per peer, if a second transfer
    request is made from a peer that already has an unfinished transfer,
    cancel the previous one. This is needed as long as apps are required
    to be single instance.
  * If the transfer isn't persistent, attempt to hardlink instead of
    copying. If the link fails, fallback to a copy.
  * If the default source is set to anything other than a click appId
    triplet, fallback to the legacy APP_ID. Changed default source for
    contacts to the legacy APP_ID for address-book-app

  [ Ubuntu daily release ]
  * New rebuild forced

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 21 Mar 2014 00:46:57 +0000

content-hub (0.0+14.04.20140307-0ubuntu1) trusty; urgency=low

  * New rebuild forced

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 07 Mar 2014 06:59:44 +0000

content-hub (0.0+14.04.20140306-0ubuntu1) trusty; urgency=low

  [ Ken VanDine ]
  * Added Type::Known::contacts. Note: there is no associated default
    store for contacts under any scope. Data for contacts doesn't
    persist.
  * Changed defaults to a triplet used to build the appid. Bumped build
    depends for libupstart-app-launch2-dev needed for converting the
    triplet to an appid.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 06 Mar 2014 16:50:24 +0000

content-hub (0.0+14.04.20140304-0preview1) trusty; urgency=medium

  * Support for more handler types, including sharing
  * Marshal peer details like name and icon from the service, so confined apps
    can show them.
  * Improved QML bindings
  * New ContentPeerPicker QML component

 -- Ken VanDine <ken.vandine@canonical.com>  Mon, 27 Jan 2014 14:09:38 -0500

content-hub (0.0+14.04.20131209.1-0ubuntu1) trusty; urgency=low

  [ Ken VanDine ]
  * Filled in the missing docstrings for the QML bindings .
  * Documentation cleanup, fixes button alignment and uses MainView in
    the QML code example.
  * allow ContentPeer to be creatable in QML, this makes it more obvious
    how to deal with the list returned by knownSourcesForType.

  [ Ted Gould ]
  * Upgrading to libupstart-app-launch v2.

  [ Alexandre Abreu ]
  * fix small documentation nit

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 69

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 09 Dec 2013 09:59:43 +0000

content-hub (0.0+14.04.20131025-0ubuntu1) trusty; urgency=low

  [ Ken VanDine ]
  * return a QVariantList from knownSourcesForType so the QML bindings
    can expose a list of peers, fixes (LP: #1236932). (LP: #1236932)
  * Added qdoc docs for QML bindings.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 63

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 25 Oct 2013 11:04:43 +0000

content-hub (0.0+13.10.20131011-0ubuntu1) saucy; urgency=low

  [ Ken VanDine ]
  * Make libcontent-hub0 recommend content-hub .
  * invoke the destination when the transfer is charged .
  * Added a click hook, which iterates installed known peers, removing
    them when they are no longer installed and adding peers when needed.

  [ Robert Bruce Park ]
  * New component for the importer to indicate an ongoing transfer.

  [ Guenter Schwann ]
  * New component for the importer to indicate an ongoing transfer.
  * Quit the source app on charged/abort when it was started by the
    content hub.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 60

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 11 Oct 2013 05:41:10 +0000

content-hub (0.0+13.10.20131007-0ubuntu1) saucy; urgency=low

  [ Ken VanDine ]
  * added Breaks for gallery-app <= 0.0.67+13.10.20130924.1-0ubuntu1 .
  * Don't invoke the source application until the destination has called
    start(). This will prevent source app from getting raised before the
    destination app expects it, preventing an unexpected interuption in
    the work flow.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 54

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 07 Oct 2013 10:51:34 +0000

content-hub (0.0+13.10.20131001-0ubuntu1) saucy; urgency=low

  [ Ken VanDine ]
  * Added basic pkgconfig file .

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 51

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 01 Oct 2013 00:20:01 +0000

content-hub (0.0+13.10.20130930-0ubuntu1) saucy; urgency=low

  [ Ken VanDine ]
  * Pulled back in all the changes that were reverted in rev 47. Bug
    (LP: #1231368) seemed to be caused by gallery-app needing a rebuild
    against this version of content-hub. (LP: #1231368)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 49

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 30 Sep 2013 20:00:26 +0000

content-hub (0.0+13.10.20130927-0ubuntu1) saucy; urgency=low

  [ Sebastien Bacher ]
  * Revert previous upload since it's buggy (lp: #1231368)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 47

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 27 Sep 2013 10:32:55 +0000

content-hub (0.0+13.10.20130925-0ubuntu1) saucy; urgency=low

  [ Ken VanDine ]
  * Adds a store property to the Transfer, which defaults to an
    cuc::Scope::app scope and appended with "HubIncoming/${id}". The hub
    will copy the files to that store when the transfer gets charged and
    set the proper paths based on the Store::url when setting
    Transfer::items. To handle cleaning up temporary copies of files,
    this adds an additional state to the tranfer "finalized" and a
    finalize function to the API. When the importer calls finalize, the
    hub will purge the copied files, but only if the destination didn't
    specify their own persistent content store. On purge, we only remove
    the files if the store is set to the default used by the hub. If the
    destination set a different store, we leave the files there. This is
    an important implementation detail, without setting a persistent
    store, a QML app wouldn't have a way to copy the files out of the
    incoming directory into their own persistent location. Allowing the
    destination app to setStore, gives it a way to keep the files in
    it's own store for future access. If the destination doesn't set the
    store, we assume the destination app is done with the content before
    calling finalize.
  * fixed typo in Type enum.
  * Added a name property to Peer using GAppInfo to get a friendly name.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 45

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 25 Sep 2013 11:05:41 +0000

content-hub (0.0+13.10.20130920-0ubuntu1) saucy; urgency=low

  [ Ken VanDine ]
  * fix for the MockHandler so it doesn't trigger dbus activation .
  * explicitly build dep on libglib2.0-dev .
  * Updated handler names and paths to use nih_dbus_path to sanitize the
    names. nih_dbus_path is designed to really just return a dbus path,
    however this is the same function apparmor uses to mangle app_id
    names for policy, so it should ensure we can match consistently.
    This is needed for confined apps.
  * Use QGSettings for persistent peer registration and set defaults.
    Also adds a helper install peers, which will be used as a click
    hook, but doesn't get installed yet.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 41

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 20 Sep 2013 10:54:49 +0000

content-hub (0.0+13.10.20130917-0ubuntu1) saucy; urgency=low

  [ Ken VanDine ]
  * Make handler registration more dynamic by using a
    QDBusServiceWatcher to to wait for a handler to register.
  * Added Transfer::SelectionType enum, used to allow the export handler
    to limit selection to a single item or allow multiple items. .

  [ Guenter Schwann ]
  * Add an app manager to start the exporter automaticly.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 36

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 17 Sep 2013 12:08:04 +0000

content-hub (0.0+13.10.20130905-0ubuntu1) saucy; urgency=low

  [ Ken VanDine ]
  * Extended com::ubuntu::content::detail::Transfer to include
    properties for id, source, and destination. Also added export_path
    and import_path convenience functions which returns the object
    paths.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 32

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 05 Sep 2013 04:54:11 +0000

content-hub (0.0+13.10.20130831-0ubuntu1) saucy; urgency=low

  [ Ken VanDine ]
  * Don't start a new instance of the service if it fails to register on
    the bus .

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 30

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Sat, 31 Aug 2013 06:39:18 +0000

content-hub (0.0+13.10.20130830-0ubuntu1) saucy; urgency=low

  [ Ken VanDine ]
  * Moved some common service names and paths to common.h instead of
    setting them in multiple places. .

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 28

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 30 Aug 2013 12:44:22 +0000

content-hub (0.0+13.10.20130829.1-0ubuntu1) saucy; urgency=low

  [ Ken VanDine ]
  * Adds a Handler interface and adapter which provides get registered
    on the bus from the Hub client. The service side will look for
    registered handlers when a new transfer is created. The service then
    connects to transfer and calls HandleExport on the handler when the
    transfer state changes to in_progress. There is still no hooks in
    the service to call HandleImport for registered import handlers, but
    clients can connect to stateChanged and fire their own import when
    the state changes to charged. Handler registration requires APP_ID
    be set in the client's env, which we can drop when we get app
    manager integration. It also requires the export handler to be
    registered before the client creates the transfer.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 26

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 29 Aug 2013 19:09:23 +0000

content-hub (0.0+13.10.20130829-0ubuntu1) saucy; urgency=low

  [ Guenter Schwann ]
  * More robust handling of charge and collect of the transfer in QML.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 24

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 29 Aug 2013 02:10:14 +0000

content-hub (0.0+13.10.20130827.3-0ubuntu1) saucy; urgency=low

  [ Guenter Schwann ]
  * Use qmlRegisterSingletonType to register the ContentHub.
  * Add QML examples for import and export.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 22

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 27 Aug 2013 19:11:23 +0000

content-hub (0.0+13.10.20130827.2-0ubuntu1) saucy; urgency=low

  * Automatic snapshot from revision 19

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 27 Aug 2013 10:49:08 +0000

content-hub (0.0+13.10.20130827.1-0ubuntu1) saucy; urgency=low

  * Automatic snapshot from revision 18

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 27 Aug 2013 07:14:13 +0000

content-hub (0.0+13.10.20130827-0ubuntu1) saucy; urgency=low

  [ Ken VanDine ]
  * Initial package

  [ Łukasz 'sil2100' Zemczak ]
  * Automatic snapshot from revision 10 (bootstrap)

  [ Ken VanDine ]
  * replace "." with "_" in the peer_id to create valid object paths .

  [ Michael Terry ]
  * Some minor packaging cleanup.

  [ Guenter Schwann ]
  * Add and register an import export handler.
  * More QML tests, work on QML documentation.
  * ContentItem and ContentPeer use their service counterpart as member.
  * Handle import and export requests from hub for QML.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 17

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 27 Aug 2013 02:10:21 +0000
